For AI agents: the complete documentation index is available at /llms.txt, the full documentation bundle is available at /llms-full.txt, and this page is available as Markdown at /api/authentication/get-access-token.md.
  • English
  • Client Authentication – Token Request

    Generated from the Finity OpenAPI specification.

    Base URLhttps://api2.finity.com.co

    Authentication

    POST/v0/oauth/token

    Client Authentication – Token Request

    Request an OAuth2 access token using the client credentials grant type. This is used for authenticating machine-to-machine integrations where the client authenticates using a client ID and secret.

    Request

    This endpoint does not require parameters.

    JSON body *

    grant_type *: client_credentials
    client_id *: string
    client_secret *: string

    Responses

    200Successfully obtained access token
    access_token: string
    expires_in: integer
    token_type: string
    401Invalid client credentials
    statusCode: integer
    message: string
    error: string

    Try it live

    Live request

    Try this endpoint

    Configure the request and send it directly to the Finity API.

    POST
    Code language

    Authentication

    Use a Bearer token to authorize this request.

    Optional

    Request body

    Send a JSON payload with this request.

    JSON
    Request URLProduction
    POSThttps://api2.finity.com.co/v0/oauth/token
    Generated Shell requestReady to copy
    curl -X POST \
      'https://api2.finity.com.co/v0/oauth/token' \
      -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
      -H 'Content-Type: application/json' \
      -d '{}'